Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Unable to load dynamic library

Discussion in 'General Discussion' started by glenn0, Apr 23, 2019.

  1. glenn0

    glenn0 Well-Known Member

    Joined:
    Jul 23, 2012
    Messages:
    62
    Likes Received:
    1
    Trophy Points:
    8
    cPanel Access Level:
    Website Owner
    I have a dedicated server on which I have installed APCu. It seems to be working fine on the sites which I need it to run on, but has caused a problem on another:

    Message: PHP Startup: Unable to load dynamic library '/opt/cpanel/ea-php56/root/usr/lib64/php/modules/
    - Removed -
    ' -
    - Removed -
    .11: cannot open shared object file: No such file or director

    How can I correct this, or disable it on indivisual websites?

    Thanks for any help.
     
    #1 glenn0, Apr 23, 2019
    Last edited by a moderator: Apr 23, 2019
  2. glenn0

    glenn0 Well-Known Member

    Joined:
    Jul 23, 2012
    Messages:
    62
    Likes Received:
    1
    Trophy Points:
    8
    cPanel Access Level:
    Website Owner
    Here is some further info, I hope it helps:

    Configuration File (php.ini) Path /opt/cpanel/ea-php56/root/etc

    Loaded Configuration File /opt/cpanel/ea-php56/root/etc/php.ini

    Scan this dir for additional .ini files /opt/cpanel/ea-php56/root/etc/php.d
     
  3. glenn0

    glenn0 Well-Known Member

    Joined:
    Jul 23, 2012
    Messages:
    62
    Likes Received:
    1
    Trophy Points:
    8
    cPanel Access Level:
    Website Owner
    I'll open a ticket...
     
  4. cPanelLauren

    cPanelLauren Forums Analyst II Staff Member

    Joined:
    Nov 14, 2017
    Messages:
    5,752
    Likes Received:
    437
    Trophy Points:
    233
    Location:
    Houston
    cPanel Access Level:
    DataCenter Provider
    Hello @glenn0

    Did you end up opening a ticket? If so what is the ticket ID?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. glenn0

    glenn0 Well-Known Member

    Joined:
    Jul 23, 2012
    Messages:
    62
    Likes Received:
    1
    Trophy Points:
    8
    cPanel Access Level:
    Website Owner
    12071739 - Unable to load dynamic library
     
  6. cPanelLauren

    cPanelLauren Forums Analyst II Staff Member

    Joined:
    Nov 14, 2017
    Messages:
    5,752
    Likes Received:
    437
    Trophy Points:
    233
    Location:
    Houston
    cPanel Access Level:
    DataCenter Provider
    Hi @glenn0


    It looks like that ticket is still currently being worked on but at least part of the issue is related to an internal case we have open currently EA-8399 - EasyApache4 PHP Memcached extensions stop working when the libmemcached package installed from the system repos gets updated to the package from the EasyApache4 Experimental repo

    I'll update here when the issue is resolved as well.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice